using System;
using RPGOnline.Remoting.Entities;

namespace RPGOnline.Remoting.Events
{
    [Serializable]
    public class MessageReceivedEventArgs : EventArgs
    {
        public Guid ChatGroupId { get; private set; }
        public User User { get; private set; }
        public string Message { get; private set; }

        public MessageReceivedEventArgs(Guid chatGroupId, User user, string message)
        {
            ChatGroupId = chatGroupId;
            User = user;
            Message = message;
        }
    }
}