using System;
using RPGOnline.Remoting.Entities;

namespace RPGOnline.Remoting.Events
{
    public class PrivateMessageReceivedEventArgs : EventArgs
    {
        public User SenderUser { get; private set; }
        public User DestinationUser { get; private set; }
        public string Message { get; private set; }

        public PrivateMessageReceivedEventArgs(User senderUser, User destinationUser, string message)
        {
            SenderUser = senderUser;
            DestinationUser = destinationUser;
            Message = message;
        }
    }
}