using System;
using RPGOnline.Remoting.Entities;

namespace RPGOnline.Remoting.Events
{
    public class UserMovedToGroupEventArgs : EventArgs
    {
        public User User { get; private set; }
        public Guid GroupId { get; private set; }

        public UserMovedToGroupEventArgs(User user, Guid groupId)
        {
            User = user;
            GroupId = groupId;
        }
    }
}