using System;
using RPGOnline.Remoting.Entities;

namespace RPGOnline.Remoting.Events
{
    public class UserRegistrationEventArgs : EventArgs
    {
        public User User { get; private set; }
        public Guid ChatGroup { get; private set; }

        public UserRegistrationEventArgs(User user, Guid chatGroup)
        {
            User = user;
            ChatGroup = chatGroup;
        }
    }
}