using System;
using RPGOnline.Remoting.Entities;

namespace RPGOnline.Controls.Chat.Events
{
    public class SendGroupMessageEventArgs : EventArgs
    {
        public User User { get; private set; }
        public ChatGroup ChatGroup { get; private set; }
        public string Message { get; private set; }

        public SendGroupMessageEventArgs(User user, ChatGroup chatGroup, string message)
        {
            User = user;
            ChatGroup = chatGroup;
            Message = message;
        }
    }
}