using System;
using RPGOnline.Remoting.Entities;

namespace RPGOnline.Controls.Chat.Events
{
    public class SendPrivateMessageEventArgs : EventArgs
    {
        public User User { get; private set; }
        public User DestinationUser { get; private set; }
        public string Message { get; private set; }

        public SendPrivateMessageEventArgs(User user, User destinationUser, string message)
        {
            User = user;
            DestinationUser = destinationUser;
            Message = message;
        }
    }
}