using System;
using System.Drawing;
using System.Windows.Forms;

namespace RPGOnline.Controls.Map.Events
{
    public class CellEventArgs : EventArgs
    {
        public MouseEventArgs Mouse { get; set; }
        public Point MapCell { get; private set; }

        public CellEventArgs(MouseEventArgs e, Point mapCell)
        {
            Mouse = e;
            MapCell = mapCell;
        }
    }
}