using System;
using System.ComponentModel.Design;
using System.Drawing.Design;

namespace RPGOnline.Controls.Map.Layers.Lighting
{
    public class LightsCollectionEditor : CollectionEditor
    {
        public LightsCollectionEditor(Type type) : base(type)
        {
        }

        protected override bool CanRemoveInstance(object value)
        {
            return true;
        }

        protected override bool CanSelectMultipleInstances()
        {
            return false;
        }

        protected override Type[] CreateNewItemTypes()
        {
            return new[] {typeof (Light)};
        }

        protected override Type CreateCollectionItemType()
        {
            return typeof (Light);
        }
    }
}