﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Remoting;
using System.Windows.Forms;

namespace RPGOnline
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            ConnectionForm connectionForm = new ConnectionForm();
            if (DialogResult.OK != connectionForm.ShowDialog())
                return;

            Application.Run(new MainForm(connectionForm.ServerIP, connectionForm.ServerPort, connectionForm.UserName, connectionForm.IsMaster));
        }
    }
}
