using System;
using RPGOnline.Remoting.Entities;

namespace RPGOnline.Remoting.Events
{
    public class UserRollEventArgs : EventArgs
    {
        public User User { get; private set; }
        public RollResult RollResult { get; private set; }

        public UserRollEventArgs(User user, RollResult rollResult)
        {
            User = user;
            RollResult = rollResult;
        }
    }
}