﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WeifenLuo.WinFormsUI.Docking;

namespace RPGOnline.Controls.Map.Windows
{
    public partial class TilesetPaintingForm : DockContent
    {
        public TilesetPaintingForm()
        {
            InitializeComponent();
        }

        public MapTileset Tileset
        {
            get { return tilesetControl1.Tileset; }
            set { tilesetControl1.Tileset = value; }
        }

        public MapCell[,] SelectedTiles
        {
            get { return tilesetControl1.SelectedTiles; }
        }

        public int SelectedTilesWidth { get { return tilesetControl1.SelectedTilesWidth; } }
        public int SelectedTilesHeight { get { return tilesetControl1.SelectedTilesHeight; } }
    }
}
